<?php

namespace App\Entities\Customer\Wallet;

use App\Models\Customer\Wallet\PointModel;

class PointEntity extends WalletEntity
{
    const PK = PointModel::PK;
    const TITLE = PointModel::TITLE;
    final public function getUserUID(): int|null
    {
        return $this->attributes['user_uid'];
    }
    final public function  getClientInfoUID(): int|null
    {
        return $this->attributes['clientinfo_uid'] ?? null;
    }
    //기본기능
    public function getContent(): string|null
    {
        return $this->attributes['content'] ?? null;
    }
    public function getAmount(): int
    {
        return $this->attributes['amount'] ?? 0;
    }
}
